edu.isi.pegasus.planner.code.generator.condor

## Class CondorQuoteParserException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - edu.isi.pegasus.planner.code.generator.condor.CondorQuoteParserException

All Implemented Interfaces:
  java.io.Serializable

    public class CondorQuoteParserException
    extends java.lang.Exception

This class is used to signal errors while parsing argument strings for Condor Quoting.

Version:
  $Revision$
Author:
  Karan Vahi, Gaurang Mehta
See Also:
  `CondorQuoteParser`, Serialized Form

### Field Summary

Fields
`private int` `mPosition` Remembers the position that cause the exception to be thrown.

### Constructor Summary

Constructors
Constructor and Description
`CondorQuoteParserException(java.lang.String msg, int position)` The overloaded constructor
`CondorQuoteParserException(java.lang.String msg, int position, java.lang.Throwable cause)` The overloaded constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getPosition()` Obtains the position at which point the exception was thrown.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mPosition

    private int mPosition

Remembers the position that cause the exception to be thrown.

### Constructor Detail

#### CondorQuoteParserException

    public CondorQuoteParserException(java.lang.String msg,
                                      int position)

The overloaded constructor

Parameters:
  `msg` - the message to be thrown in exception
  `position` - the position at which error occured

#### CondorQuoteParserException

    public CondorQuoteParserException(java.lang.String msg,
                                      int position,
                                      java.lang.Throwable cause)

The overloaded constructor

Parameters:
  `msg` - the message to be thrown in exception.
  `position` - the position at which error occured.
  `cause` - the cause of the error.

### Method Detail

#### getPosition

    public int getPosition()

Obtains the position at which point the exception was thrown.

Returns:
  a column position into the string